aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-11-01 08:22:30 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-11-01 08:22:40 +0000
commit18ae09e99e4ad3312b71e5f83a80e53c597e1a69 (patch)
treeaba9a4df03fa5b69b2461fb3e1ab048df7507e0e
parenteb7fae1ca9ccfe15ad08d260973d47602c64a3bb (diff)
downloadaports-18ae09e99e4ad3312b71e5f83a80e53c597e1a69.tar.bz2
aports-18ae09e99e4ad3312b71e5f83a80e53c597e1a69.tar.xz
testing/perl-dbi: new aport
-rw-r--r--testing/perl-dbi/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/perl-dbi/APKBUILD b/testing/perl-dbi/APKBUILD
new file mode 100644
index 0000000000..4bf03d9a7c
--- /dev/null
+++ b/testing/perl-dbi/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Jeff Bilyk <jbilyk at gmail>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-dbi
+_realpkgname=DBI
+pkgver=1.612
+pkgrel=0
+pkgdesc="Database independent interface for Perl"
+url="http://search.cpan.org/dist/${_realpkgname}"
+license="GPL PerlArtistic"
+depends=
+makedepends="perl perl-dev"
+subpackages="$pkgname-doc"
+source="http://www.cpan.org/authors/id/T/TI/TIMB/${_realpkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/${_realpkgname}-$pkgver
+
+prepare() {
+ return 0
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="a045d41b8056e549354ab2346fdfac86 DBI-1.612.tar.gz"